## org.biojava.bio.seq.impl
Class SimpleStrandedFeature

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.seq.impl.SimpleFeature
              org.biojava.bio.seq.impl.SimpleStrandedFeature

All Implemented Interfaces:
  Annotatable, Changeable, Feature, FeatureHolder, RealizingFeatureHolder, java.io.Serializable, StrandedFeature

Direct Known Subclasses:
  SimpleFramedFeature, SimpleHomologyFeature, SimpleRemoteFeature, SimpleRestrictionSite, SimpleSimilarityPairFeature

public class SimpleStrandedFeature
extends SimpleFeature
implements StrandedFeature

A no-frills implementation of StrandedFeature.

Author:
  Matthew Pocock, Thomas Down
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.biojava.bio.seq.StrandedFeature
`StrandedFeature.Strand, StrandedFeature.Template`

Nested classes inherited from class org.biojava.bio.seq.Feature
`Feature.ByLocationComparator`

Nested classes inherited from class org.biojava.bio.seq.FeatureHolder
`FeatureHolder.EmptyFeatureHolder`

Nested classes inherited from class org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from interface org.biojava.bio.seq.StrandedFeature
`NEGATIVE, POSITIVE, UNKNOWN`

Fields inherited from interface org.biojava.bio.seq.Feature
`byLocationOrder, LOCATION, PROPERTY_DATA_KEY, SOURCE, TYPE`

Fields inherited from interface org.biojava.bio.seq.FeatureHolder
`EMPTY_FEATURE_HOLDER, FEATURES, SCHEMA`

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Constructor Summary
`SimpleStrandedFeature(Sequence sourceSeq, FeatureHolder parent, StrandedFeature.Template template)`

Method Summary
`protected void` `fillTemplate(StrandedFeature.Template ft)`
`StrandedFeature.Strand` `getStrand()` Retrieve the strand that this feature lies upon.
`SymbolList` `getSymbols()` Return a list of symbols that are contained in this feature.
`Feature.Template` `makeTemplate()` Create a new Template that could be used to generate a feature identical to this one.
`java.lang.String` `toString()`

Methods inherited from class org.biojava.bio.seq.impl.SimpleFeature
`containsFeature, countFeatures, createFeature, equals, featureHolderAllocated, features, fillTemplate, filter, filter, getAnnotation, getChangeSupport, getFeatureHolder, getLocation, getParent, getSchema, getSequence, getSource, getType, hashCode, realizeFeature, removeFeature, setLocation, setSource, setType`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.biojava.bio.seq.Feature
`features, getLocation, getParent, getSequence, getSource, getType, setLocation, setSource, setType`

Methods inherited from interface org.biojava.bio.seq.FeatureHolder
`containsFeature, countFeatures, createFeature, filter, filter, getSchema, removeFeature`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Constructor Detail

### SimpleStrandedFeature

    public SimpleStrandedFeature(Sequence sourceSeq,
                                 FeatureHolder parent,
                                 StrandedFeature.Template template)
                          throws java.lang.IllegalArgumentException

Method Detail

### getStrand

    public StrandedFeature.Strand getStrand()

  Description copied from interface: `StrandedFeature`
  Retrieve the strand that this feature lies upon.

  This will be one of StrandedFeature.POSITIVE or NEGATIVE.

  Specified by:
    `getStrand` in interface `StrandedFeature`
  Returns:
    one of the Strand constants

### getSymbols

    public SymbolList getSymbols()

  Description copied from interface: `StrandedFeature`
  Return a list of symbols that are contained in this feature.

  The symbols may not be contiguous in the original sequence, but they will be concatenated together in the resulting SymbolList.

  The order of the Symbols within the resulting symbol list will be according to the concept of ordering within the location object.

  If the feature is on the negative strand then the SymbolList will be reverse-complemented as appropriate.

  Specified by:
    `getSymbols` in interface `StrandedFeature`
  Overrides:
    `getSymbols` in class `SimpleFeature`

### makeTemplate

    public Feature.Template makeTemplate()

  Description copied from interface: `Feature`
  Create a new Template that could be used to generate a feature identical to this one. The fields of the template can be edited without changing the feature.

  Specified by:
    `makeTemplate` in interface `Feature`
  Overrides:
    `makeTemplate` in class `SimpleFeature`

### fillTemplate

    protected void fillTemplate(StrandedFeature.Template ft)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SimpleFeature`